% clc
% clear all
% close all

% Cargar datos experimentales de un fichero y representacin grfica

%load('resultados_principal');
Y0=[TG0,E0,A0,GL0];
    
Xexp=Xsim;
Yexp=[TGsim,Esim,Asim,GLsim];


subplot(1,2,1)
plot(Xexp,Yexp,'o')
xlabel('t (s)');
ylabel('C (mol/L)');
legend('TG','E','A','GL');
%axis([0,25,0,17]);
hold on

% Fijar el valor inicial de los parmetros de ajuste y asignarlos a los 
% parmetros genricos




k70=  0.01;  % 0.1
k80= 0.01; % 0.1

b0=[k70,k80];

% Fijar los valores de la variables independientes particulares a utilizar
% en las simulaciones y asignarlos a las variables independientes genricas

t=linspace(0,Xsim(end),100);
X=t;

% Comparar los datos experimentales con las simulaciones realizadas 
% haciendo uso del valor inicial de los parmetros de ajuste
f=@(X,Y) EDOs_modelo_1_k0(X,Y,b0,param);

opciones=odeset('RelTol',1e-3,'AbsTol',1e-6,'Refine',10,'MaxStep',[]);
[Xsim,Ysim0]=ode15s(f,Xspan,Y0,opciones);

tsim=Xsim;
TGsim0=Ysim0(:,1);
Esim0=Ysim0(:,2);
Asim0=Ysim0(:,3);
GLsim0=Ysim0(:,4);
Csim0=[TGsim0,Esim0,Asim0,GLsim0];
Ysim0=Csim0;

plot(X,Ysim0)
%axis([0,40,0,1,10]);
% 
% Fijamos los lmites inferior y superior para los parmetros de ajuste.

b_inf=[0,0];
b_sup=[100,100];

% Definimos la funcin objetivo que queremos minimizar

g=@(b) dif_Y(b,Xexp,Yexp,param,Y0);

% Estimamos los parmetros b que minimizan la funcin objectivo y los
% asignamos a los parmetros particulares


[b,resnorm,residual,exitflag,output,lambda,Jacobiano]=...
    lsqnonlin(g,b0,b_inf,b_sup,[]);

k7=b(1)
k8=b(2)



% Calculamos los intervalos de confianza

CI=nlparci(b,residual,'jacobian',Jacobiano)

% Simulamos con los parmetros optimizados y comparamos con los datos
% experimentales

f=@(X,Y) EDOs_modelo_1_k(X,Y,b,param);

opciones=odeset('RelTol',1e-3,'AbsTol',1e-6,'Refine',10,'MaxStep',[]);
[Xsim,Ysim_final]=ode15s(f,Xspan,Y0,opciones);

tsim=Xsim;
TGsim_f=Ysim_final(:,1);
Esim_f=Ysim_final(:,2);
Asim_f=Ysim_final(:,3);
GLsim_f=Ysim_final(:,4);
Csim_f=[TGsim_f,Esim_f,Asim_f,GLsim_f];
Ysim_final=Csim_f;



subplot(1,2,2)
plot(Xexp,Yexp,'o')
xlabel('t (s)');
ylabel('C (mol/L)');
legend('TG','E','A','GL');
hold on
plot(X,Ysim_final)

hold off
% text(20,3,['k7=',num2str(b(1),'%0.3f'),'s^{-1}'])
% text(1,1.10,['k8=',num2str(b(2),'%0.3f'),'s^{-1}'])
%axis([0,25,0,17]);

 text(20,2,['k7=',num2str(b(1),'%0.4f'),' L  mol^{-1} min^{-1}'])
 text(20,1.75,['k8=',num2str(b(2),'%0.4f'),' L  mol^{-1} min^{-1}'])




