clc
clear all
close all
bdclose all



%% Aadir vector con la variable a modificar.

Temperatura=[35,40,45,50,55,60,65];

%% Simulacin y ajuste de resultados.
%desde el modelo cintico de 3 reacciones al modelo que slo considera 
%la reaccin global.

for d=1:numel(Temperatura)

    disp(' ');
    disp('********************************************');
    disp('*                Modelo 1                  *');
    disp('********************************************');
    %% Volver a indicar el vector con variable a modificar.
    Temperatura=[35,40,45,50,55,60,65];
    T_K=Temperatura+273.15;
    T_graf=Temperatura(d);
    T=T_K(d)
    datos_modelo_1
    tmax=80;
    principal_EDOS_modelo_1
    optimitzacion
    save(['ficheromuestras_',num2str(d),'.mat'])
   

    clear all

end
hold off
%% Guarda los datos para cada simulacin realizada.
load('ficheromuestras_1')

tabla_x=[];
tabla_y1=[];
tabla_y2=[];

%% Regresin lineal partiendo de los datos con Arrhenius linealizado.
figure
for d=1:numel(Temperatura)
    load (['ficheromuestras_',num2str(d),'.mat'])
     lin_y1=log(k7);
     lin_x=1/T;
     
     plot(lin_x,lin_y1,'o')
     
     hold on
     xlabel('1/T')
     ylabel('ln k7')
     tabla_x=vertcat(tabla_x,lin_x);
     tabla_y1=vertcat(tabla_y1,lin_y1);
end


m1=polyfit(tabla_x,tabla_y1,1)
yest1=polyval(m1,tabla_x);

mdl = fitlm(tabla_x,tabla_y1);
R2_1=mdl.Rsquared.Ordinary

plot(tabla_x,yest1)
x_t=3e-3;
y_t=-4.3;

text(3e-3,-4.3,['y = ',num2str((m1(1)),'%0.3f'),' x',' + ',...
    num2str((m1(2)),'%0.3f')])
text(3e-3,-4.5,['R^2 = ',num2str((R2_1),'%0.4f')])
hold off


figure
for d=1:numel(Temperatura)
    load (['ficheromuestras_',num2str(d),'.mat'])
     lin_y2=log(k8);
     lin_x=1/T;
     plot(lin_x,lin_y2,'o')
     hold on
     xlabel('1/T')
     ylabel('ln k_8')
     tabla_y2=vertcat(tabla_y2,lin_y2);
end

m2=polyfit(tabla_x,tabla_y2,1)
yest2=polyval(m2,tabla_x);
plot(tabla_x,yest2)

mdl2= fitlm(tabla_x,tabla_y2);
R2_2=mdl2.Rsquared.Ordinary


 text(3e-3,-6.8,['y = ',num2str((m2(1)),'%0.3f'),' x',' + ',...
     num2str((m2(2)),'%0.3f')])
 text(3e-3,-7,['R^2 = ',num2str((R2_2),'%0.4f')])
 
 %% Clculo de Energas de activacin y factor preexponencial
 


 Ea_k7=m1(1)*(R)*(-1);
 k0_k7=exp(m1(2));
 

tabla_Ea_k0_k7=horzcat(Ea_k7',k0_k7')


 Ea_k8=m2(1)*(R)*(-1);
 k0_k8=exp(m2(2));
 

tabla_Ea_k0_k8=horzcat(Ea_k8',k0_k8')






