% Take into account all the independent material balance equations, the 
% specified variables, the additional relations and the summation of the 
% mole or mass fractions for each stream

% Specified variables
eq{1}='TG0=1';  % concentraciones iniciales de cada compuesto (mol/L).
eq{2}='A0=6';
eq{3}='E0=0';
eq{4}='GL0=0';

eq{5}='Qe=1'; % L/min

eq{6}='Temperatura= 50'; % C
eq{7}='T=Temperatura+273.15'; % K

eq{8}='R=1.987207'; % cal/molK

eq{9}='V=90'; % volumen del reactor 90 L.

eq{10}='kp7=2.030084028386745e+08'; % Factor preexponencial (L/ molmin)
eq{11}='kp8= 8.482956188989938e+03';

eq{12}='Ea7=1.476111304079476e+04'; % Energas de activiacin (Kcal/mol)
eq{13}='Ea8=9.081739553917638e+03';

eq{14}='k7= kp7*exp(-Ea7/(R*T))'; % Constantes cinticas (L/ molmin)
eq{15}='k8= kp8*exp(-Ea8/(R*T));';

% Additional relations
eq{16}='Qe*(TG0+A0)=Qs*(TG+A+E+GL)';

% Independent material balance equations
    % VC1
eq{17}='-k7*TG*A+k8*E*GL+(Qe/V)*TG0-(Qs/V)*TG';
eq{18}='3*(-k7*TG*A+k8*E*GL)+(Qe/V)*A0-(Qs/V)*A';
eq{19}='3*(k7*TG*A-k8*E*GL)+(Qe/V)*E0-(Qs/V)*E';
eq{20}='k7*TG*A-k8*E*GL+(Qe/V)*GL0-(Qs/V)*GL';


% Mole fraction calculation (%)
eq{21}='X_TG=(TG/(TG+E+A+GL))*100';
eq{22}='X_A=(A/(TG+E+A+GL))*100';
eq{23}='X_E=(E/(TG+E+A+GL))*100';
eq{24}='X_GL=(GL/(TG+E+A+GL))*100';

eq{25}='Fe=Qe*(TG0+A0)';


